CVE-2010-0740

2010-03-26T18:30:00
ID CVE-2010-0740
Type cve
Reporter cve@mitre.org
Modified 2018-10-10T19:53:00

Description

The ssl3_get_record function in ssl/s3_pkt.c in OpenSSL 0.9.8f through 0.9.8m allows remote attackers to cause a denial of service (crash) via a malformed record in a TLS connection that triggers a NULL pointer dereference, related to the minor version number. NOTE: some of these details are obtained from third party information. Per: http://www.openssl.org/news/secadv_20100324.txt

'Affected versions depend on the C compiler used with OpenSSL:

  • If 'short' is a 16-bit integer, this issue applies only to OpenSSL 0.9.8m.
  • Otherwise, this issue applies to OpenSSL 0.9.8f through 0.9.8m.'